Description

It would be nice if the default stroke width would be round value, e.g. 0.2 or 0.3 or 0.25 and not the weird value of 0.26

In addition it would be nice if the step width for the spin box would increment in smaller steps, e.g. +/- 0.2 or 0.1

History

#1 - 2013-04-17 01:10 PM - Larry Shaffer

Hi Andreas,

+1 for this change. However, I think it would be good to push this over to a user setting at the app and project levels. The step increment is really a function

of the units chosen and the relative size of the item, i.e. a step for meters should be different than one for feet or degrees, etc. and the step for a stroke size

would be different than that for a symbol width/height, etc. Similarly, it would be good to have the option to set the default size for common items, like

stroke/border and width, but also possibly have that be relative to the known units.

Such user settings could be referenced in a container class and custom 'units' combobox widget. Then, for example, buddy spinboxes could be registered

with the combobox, e.g. mCombobox->regSpinBox( mSpinBox, 'border' ), where border would be an enum value. Once registered, a change of units would

auto-update the spinbox's step increment, and possibly its precision and min/max values, all relative to what a user has in settings.

Also, the settings container class could be queried for sensible defaults, e.g. unitSizeDefaults.getDefault( 'border', 'meters' ), where border and meters

would be enum values relative to units either those set in combobox, or from QSettings.

Just an idea.

#2 - 2013-04-18 05:03 AM - Andreas Neumann

Hi Larry,

I agree - it really depends on the units and should be user-defineable. I like your idea.

Then if the US people could switch to the metric system it would also make things easier ;-)

#3 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
